Opened 6 years ago

#2135 new idea

Javascript - remove jquery.includeMany-1.2.2.js

Reported by: markusliechti Owned by: comvation
Priority: normal Milestone: unknown
Component: other(specify) Version:
Severity: normal Keywords: Javascript,
Cc:

Description

Javascript jquery.includeMany-1.2.2.js verursacht viele Probleme. Die lib wird nicht mehr weiterentwickelt und ist nicht kompatibel mit jQuery-Versionen höher als jQuery 1.8.

Grundsätzlich stellt sich mittlerweile die Frage wieso das Javascript-Lazy-Loading mit includeMany bewerkstelligt werden muss. Wenn Javascript-Tags vor dem schliessende Body-Tag eingefügt werden behindern dies das Rendern der Seite nicht.

Aus meiner Sicht ist diese Library/Feature? völlig unnötig und macht das ganze nur komplizierte. Falls das Javascript-Lazyloading aus Sicht der Contrexx-Entwicklung nicht verzichtet werden kann, soll includeMany wenigstens durch $.getScript('foo/bar.js') ersetzt werden.

Change History (0)

Note: See TracTickets for help on using tickets.